Subject: Re: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc
From: Pádraig Brady <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: Michael Felt <[email-masked]>, [email-masked]
Date: Sun, 11 Nov 2012 15:04:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/11/2012 07:41 AM, Paul Eggert wrote:
> I think you can fix the bug by adding "#undef malloc"
> to the list of undefs in src/make-prime-list.c.  You might
> want to give that a try.  But this business with the primes
> has bitten us before, and I'd like to install the attached
> more-ambitious patch instead, which you might also like to
> try.  Most of this patch is a table of primes.

Thanks for that.

I notice that src/make-prime-list is made even if src/primes.h
is present, is that intentional?

Also for my own reference, after a `make maintainer-clean`,
make-prime-list will best be generated with -Dwide_uint=__'unsigned __int128'

cheers,
Pádraig.